package com.citizen.app.escpos;

import java.io.IOException;

import com.citizen.app.assist.ESCPSample2;
import com.citizen.jpos.command.ESCPOSConst;

import android.app.AlertDialog;
import android.app.ListActivity;
import android.content.DialogInterface;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.Toast;
import android.widget.AdapterView.OnItemClickListener;

public class ESCP2Menu extends ListActivity
{
	private String TAG = "Sample2";
	// Menu
	final static String[] arr = 
	{
		"Sample 1",
		"Sample 2",
		"Sample 3",
		"Image Test",
		"Japanese Test",
		"Emulation Check",
		"Print Android Font",
		"Print Multilingual",
		"Print Results",
		"FontB Test"
	};
	
	private String strCount;

	@Override
	protected void onDestroy()
	{
//		Log.d(TAG,"onDestroy()");
		super.onDestroy();
	}
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1 , arr));
		getListView().setOnItemClickListener(new OnItemClickListener()
		{
			@Override
			public void onItemClick(AdapterView<?> arg0, View arg1, int arg2, long arg3)
			{
				dialog(arg2);
			}
		});
	}
	
	// Dialog
	private void dialog(int arg1)
	{
		final int arg2 = arg1; 
		final LinearLayout linear = (LinearLayout)
			View.inflate(ESCP2Menu.this, R.layout.input_popup, null);
		
		final EditText number = (EditText)linear.findViewById(R.id.EditTextPopup);
		if(strCount == null)
			strCount = "1";
		number.setText(strCount);
		
		new AlertDialog.Builder(ESCP2Menu.this)
		.setTitle("Test Count.")
		.setIcon(R.drawable.icon)
		.setView(linear)
		.setPositiveButton("OK", new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int whichButton) 
			{
				try
				{
					ESCPSample2 sample = new ESCPSample2();					
					strCount = number.getText().toString();
					int count = Integer.parseInt(strCount);
					int results;
					Log.d(TAG, "NUM = "+count);
					for(int i=0;i<count;i++)
					{
						switch(arg2)
						{
							case 0:
								sample.sample1();
								break;
							case 1:
								sample.sample2();
								break;
							case 2:
								sample.sample3();
								break;
							case 3:
								sample.imageTest();
								break;
							case 4:
								sample.japaneseTest2();
								break;
							case 5:
								String emuls = sample.emulCheck();
								Toast toasts = Toast.makeText(ESCP2Menu.this, emuls, Toast.LENGTH_LONG);
								toasts.show();
								break;
							case 6:
								sample.printAndroidFont();
								break;
							case 7:
								sample.printMultilingualFont();
								break;	
							case 8:
								Toast tst = null;
								results = sample.printingResults();
								switch(results)
								{
								case ESCPOSConst.CMP_SUCCESS:
									tst = Toast.makeText(ESCP2Menu.this, "Printing success", Toast.LENGTH_LONG);
									break;
								case ESCPOSConst.CMP_STS_COVER_OPEN:
									tst = Toast.makeText(ESCP2Menu.this, "Cover Open", Toast.LENGTH_LONG);
									break;
								case ESCPOSConst.CMP_STS_PAPER_EMPTY:
									tst = Toast.makeText(ESCP2Menu.this, "Paper Empty", Toast.LENGTH_LONG);
									break;
								default:
									tst = Toast.makeText(ESCP2Menu.this, "No response\r\nPrinter error", Toast.LENGTH_LONG);
									break;
								}
								tst.show();
								break;	
							case 9:
								sample.printFontB();
								break;	
							default:
								break;
						}
					}
				}
				catch(NumberFormatException e)
				{
					Log.e(TAG, e.getMessage(), e);
				}
				catch(IOException e)
				{
					Log.e(TAG, e.getMessage(), e);	
				}
			}
		})
		.setNegativeButton("Cancel", new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int whichButton) 
			{
				Log.d(TAG, "Cancel Button Clicked.");
			}
		})
		.show();
	}
}